This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 38033 - ATI Radeon All in Wonder gives hard lock upon X start
ATI Radeon All in Wonder gives hard lock upon X start
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-27 07:11 EDT by Panic
Modified: 2007-04-18 12:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-04 08:04:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Panic 2001-04-27 07:11:38 EDT
His card is officially called an "ATI Radeon All in Wonder AGP" (I'm filing
this for a customer I'm in contact with).  His lspci -vb listing:

**********
01:05.0  VGA compatible controler: ATI Technologies, Inc.: unknown device
5144 (prog-if 00 [VGA])
    Subsystem: ATI Technologies, Inc.:  unknown device 0299
    Flags: bus master, stepping, 66 mhz, medium devsel, latency 64, IRQ
11
    Memory at e8000000 (32-bit prefetchable
    I/O ports at d800
    Memory at e58000000 (32 bit non-prefetchable
    Capabilities: [58] AGP revision 2.0
    Capabilites: [50] Power Management version 2
**********

In my notes I have his subsystem ID as 02AA, but I would trust what he sent
me more.  /usr/share/kudzu/pcitable lists the main number as an ATI Radeon
(Generic), but does not have the subsystem ID.  Xconfigurator has an entry
for the All in Wonder AGP, but neither of those choices work -- he gets the
gray X startup screen, and an immediate hard lock of the system.  I'll see
if I can't get my hands on one of these to try it out.
Comment 1 Panic 2001-04-27 08:10:31 EDT
The subsystem ID has been confirmed to be 02AA.
Comment 2 Mike A. Harris 2001-05-06 17:12:50 EDT
Please supply the output of "lspci -vn" for this board.  It is most likely
not supported currently, but I'll double check once I get the lspci info.

Comment 3 Panic 2001-05-11 10:48:27 EDT
Sorry about the slow response -- was out sick this week.

01:00.0 Class 0300: 1002:5144
        Subsystem: 1002:02aa
        Flags: bus master, stepping, 66Mhz, medium devsel, latency 64, IRQ 11
        Memory at d8000000 (32-bit, prefetchable) [size=128M]
        I/O ports at d800 [size=256]
        Memory at d7000000 (32-bit, non-prefetchable) [size=512K]
        Expansion ROM at d7fe0000 [disabled] [size=128K]
        Capabilities: [58] AGP version 2.0
        Capabilities: [50] Power Management version 2


We now have the card in support if you need it.  I did notice something
potentially interesting this morning when I plugged it in -- the card does not
have VGA-out port.  One has to use a DVI-VGA adapter to plug into a VGA monitor.
 I'm going to tinker with it a bit if I get a chance today or next week and see
if I can get it to work.  Thanks.
Comment 4 Mike A. Harris 2001-10-04 08:04:52 EDT
I have 6 Radeon cards, including the one above, and the Radeons all work
in all of my machines.  I would guess that the BIOS is misconfigured for
AGP and/or the motherboard chipset is screwy perhaps.  There are known
chipset/radeon problems that are motherboard bugs.  Could be hitting that.

Please attach the complete lspci -v and lspci -vn output for all hardware
(file attachments please).  Also, I will need the X server log and the
config file being used.  I may also need /var/log/messages or at least the
tail end of it after a problem crash.
Comment 5 Mike A. Harris 2001-11-05 08:15:27 EST
I have no problems at all using Radeon All In Wonder on 3 test systems,
and have no problems reported by any other users.  This is almost
certainly a local configuration issue, or a hardware related problem,
perhaps a buggy motherboard chipset interaction.  Our latest kernels
have some workarounds present for some such hardware bugs.

Note You need to log in before you can comment on or make changes to this bug.